# MysteryEncounterBattlePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterBattlePhase

Will handle (in order):

- Setting BGM
- Showing intro dialogue for an enemy trainer or wild Pokemon
- Sliding in the visuals for enemy trainer or wild Pokemon, as well as handling summoning animations
- Queue the `SummonPhase`s, PostSummonPhases, etc., required to initialize the phase queue for a battle

#### Hierarchy (View Summary)

- Phase
  - MysteryEncounterBattlePhase

- Defined in src/phases/mystery-encounter-phases.ts:287

##### Index

### Constructors

constructor

### Properties

disableSwitch

### Methods

end
start

## Constructors

### constructor

- new MysteryEncounterBattlePhase(
  disableSwitch?: boolean,
  ): MysteryEncounterBattlePhase

  #### Parameters

  - disableSwitch: boolean = false

  #### Returns MysteryEncounterBattlePhase

  Overrides Phase.constructor

  - Defined in src/phases/mystery-encounter-phases.ts:290

## Properties

### disableSwitch

disableSwitch: boolean

- Defined in src/phases/mystery-encounter-phases.ts:288

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Sets up a ME battle

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/mystery-encounter-phases.ts:298